<?php
if ( !class_exists('Jatra_Dashboard_Notice') ):

    class Jatra_Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->jatra_show_hide_notice() ){

	            add_action( 'admin_notices',array( $this,'jatra_admin_notiece' ) );
                
	        }
	        add_action( 'wp_ajax_jatra_notice_dismiss', array( $this, 'jatra_notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'jatra_notice_clear_cache' ) );
        
            if( isset( $_GET['page'] ) && $_GET['page'] == 'jatra-about' ){

                add_action('in_admin_header', array( $this,'jatra_hide_all_admin_notice' ),1000 );

            }
        }

        public function jatra_hide_all_admin_notice(){

            remove_all_actions('admin_notices');
            remove_all_actions('all_admin_notices');

        }
        
        public static function jatra_show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('jatra_admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'jatra-about'  ) {
                return false;
            }

        	// Hide if dismiss notice
        	if( get_option('jatra_admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Booster_Extension_Class' ) && class_exists( 'Demo_Import_Kit_Class' ) && class_exists( 'Themeinwp_Import_Companion' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function jatra_admin_notiece(){

            $theme_info      = wp_get_theme();
            $theme_name            = $theme_info->__get( 'Name' );
            ?>
           <div class="updated notice is-dismissible twp-jatra-notice">

                <h3><?php esc_html_e('Quick Setup','jatra'); ?></h3>

                <p><strong><?php printf( __( '%1$s is now installed and ready to use. Are you looking for a better experience to set up your site?', 'jatra' ), esc_html( $theme_name ) ); ?></strong></p>

                <small><?php esc_html_e("We've prepared a unique onboarding process through our",'jatra'); ?> <a href="<?php echo esc_url( admin_url().'themes.php?page='.get_template().'-about') ?>"><?php esc_html_e('Getting started','jatra'); ?></a> <?php esc_html_e("page. It helps you get started and configure your upcoming website with ease. Let's make it shine!",'jatra'); ?></small>

                <p>
                    <a class="button button-primary twp-install-active" href="javascript:void(0)"><?php esc_html_e('Install and activate recommended plugins','jatra'); ?></a>
                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://preview.themeinwp.com/jatra/' ); ?>"><?php esc_html_e('View Demo','jatra'); ?></a>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/jatra-pro/' ); ?>"><?php esc_html_e('Upgrade to Pro','jatra'); ?></a>
                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','jatra'); ?></a>

                </p>

            </div>

        <?php
        }

        public function jatra_notice_dismiss(){

        	if ( isset( $_POST[ '_wpnonce' ] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST[ '_wpnonce' ] ) ), 'jatra_ajax_nonce' ) ) {

	        	update_option('jatra_admin_notice','hide');

	        }

            die();

        }

        public function jatra_notice_clear_cache(){

        	update_option('jatra_admin_notice','');

        }

    }
    new Jatra_Dashboard_Notice();
endif;