<?php
/**
 * Default Values.
 *
 * @package Jatra
 */

if (!function_exists('jatra_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function jatra_get_default_theme_options(){

        $jatra_defaults = array();

        $jatra_defaults['twp_jatra_home_sections_1'] = array(
            array(
                'home_section_type' => 'banner-video-block',
                'section_ed' => 'yes',
                'home_section_video_title' => esc_html__('Live Now','jatra'),
                'section_video_post_cat' => '',
            ),

            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'yes',
                'home_section_title_1' => esc_html__('Column Title Two','jatra'),
                'section_post_cat_1' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'section_category_3' => '',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','jatra'),
                'home_section_title_2' => esc_html__('Block Title Tab','jatra'),
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'section_ed' => 'yes',
                'home_section_title' => '',
                'section_category' => '',
            ),
        );

        // header section
        $jatra_defaults['logo_width_range']      = 200;

        // Options.
        $jatra_defaults['global_sidebar_layout'] = 'right-sidebar';
        $jatra_defaults['jatra_archive_layout'] = 'grid';
        $jatra_defaults['jatra_pagination_layout'] = 'numeric';
        $jatra_defaults['footer_column_layout'] = 3;
        $jatra_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'jatra');
        $jatra_defaults['ed_ticker_slider_autoplay'] = 1;
        $jatra_defaults['ed_header_trending_news'] = 1;
        $jatra_defaults['ed_header_trending_posts_title'] = esc_html__('Trending News', 'jatra');
        $jatra_defaults['ed_header_ad'] = 0;
        $jatra_defaults['ed_header_type'] = 'twp-img-boxed-header';
        $jatra_defaults['addvertisement_section_title'] = esc_html__('Advertisement Section', 'jatra');
        $jatra_defaults['ed_header_ticker_posts'] = 1;
        $jatra_defaults['ticker_date_format'] = 'l, F jS, Y';
        $jatra_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'jatra');
        $jatra_defaults['ed_image_content_inverse'] = 0;
        $jatra_defaults['ed_related_post'] = 1;
        $jatra_defaults['related_post_title'] = esc_html__('More Stories', 'jatra');
        $jatra_defaults['twp_navigation_type'] = 'norma-navigation';
        $jatra_defaults['jatra_single_post_layout'] = 'layout-1';
        $jatra_defaults['ed_post_thumbnail'] = 0;
        $jatra_defaults['ed_post_date'] = 1;
        $jatra_defaults['ed_post_category'] = 1;
        $jatra_defaults['ed_header_overlay'] = 0;
        $jatra_defaults['jatra_header_bg_size'] = 1;
        $jatra_defaults['ed_preloader'] = 0;
        $jatra_defaults['ed_header_bg_fixed'] = 0;
        $jatra_defaults['ed_header_bg_overlay'] = 1;
        $jatra_defaults['post_date_format'] = 'default';
        $jatra_defaults['ed_fullwidth_layout'] = 'default';
        $jatra_defaults['ed_post_views'] = 0;
        $jatra_defaults['ed_scroll_top_button'] = 1;

        $jatra_defaults['ed_ticker_bar']                  = 1;
        $jatra_defaults['ed_ticker_bar_date']             = 1;
        $jatra_defaults['ed_tags_wide_layout']            = 1;
        $jatra_defaults['ed_post_tags']                   = 1;
        $jatra_defaults['ed_post_read_later']             = 1;

        // Pass through filter.
        $jatra_defaults = apply_filters('jatra_filter_default_theme_options', $jatra_defaults);

        return $jatra_defaults;

    }

endif;
