<?php
/**
* Header Options.
*
* @package Jatra
*/

$jatra_default = jatra_get_default_theme_options();
$jatra_page_lists = jatra_page_lists();
$jatra_post_category_list = jatra_post_category_list();

// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Header Advertisement Settings', 'jatra' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting('ed_header_ad',
    array(
        'default' => $jatra_default['ed_header_ad'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'jatra_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_ad',
    array(
        'label' => esc_html__('Enable Top Advertisement Area', 'jatra'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'ed_header_type',
    array(
        'default'           => $jatra_default['ed_header_type'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'jatra_sanitize_select'
    )
);
$wp_customize->add_control('ed_header_type',
        array(
            'type'       => 'select',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Addvertisement Section Container', 'jatra' ),
            'choices'       => array(
                'twp-img-full-width-header'  => esc_html__( 'Full Page', 'jatra' ),
                'twp-img-boxed-header'  => esc_html__( 'Default', 'jatra' ),
                'twp-img-content-header'  => esc_html__( 'Contained', 'jatra' ),
            ),
            'active_callback' => 'jatra_header_ad_ac',
        )
);


$wp_customize->add_setting( 'addvertisement_section_title',
    array(
    'default'           => $jatra_default['addvertisement_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'addvertisement_section_title',
    array(
    'label'       => esc_html__( 'Addvertisement Section Title', 'jatra' ),
    'section'     => 'main_header_setting',
    'type'        => 'text',
    'active_callback' => 'jatra_header_ad_ac',
    )
);

$wp_customize->add_setting('header_ad_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_ad_image',
        array(
            'label'      => esc_html__( 'Top Header AD Image', 'jatra' ),
            'section'    => 'main_header_setting',
            'active_callback' => 'jatra_header_ad_ac',
        )
    )
);

$wp_customize->add_setting('ed_header_link',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('ed_header_link',
    array(
        'label' => esc_html__('AD Image Link', 'jatra'),
        'section' => 'main_header_setting',
        'type' => 'text',
        'active_callback' => 'jatra_header_ad_ac',
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'jatra_header_bg_size',
    array(
        'default'           => $jatra_default['jatra_header_bg_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint'
    )
);
$wp_customize->add_control('jatra_header_bg_size',
        array(
            'type'       => 'select',
            'section'       => 'header_image',
            'label'         => esc_html__( 'Header BG Size', 'jatra' ),
            'choices'       => array(
                '1'  => esc_html__( 'Small', 'jatra' ),
                '2'  => esc_html__( 'Medium', 'jatra' ),
                '3'  => esc_html__( 'Large', 'jatra' ),
            )
        )
);

$wp_customize->add_setting('ed_header_bg_fixed',
    array(
        'default' => $jatra_default['ed_header_bg_fixed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'jatra_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_fixed',
    array(
        'label' => esc_html__('Enable Fixed BG', 'jatra'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_header_bg_overlay',
    array(
        'default' => $jatra_default['ed_header_bg_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'jatra_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_overlay',
    array(
        'label' => esc_html__('Enable BG Overlay', 'jatra'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);

// Trending News Section
$wp_customize->add_section( 'header_news_section',
    array(
    'title'      => esc_html__( 'Main Navigation Area', 'jatra' ),
    'priority'   => 15,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
    )
);

$wp_customize->add_setting('ed_header_trending_news',
    array(
        'default' => $jatra_default['ed_header_trending_news'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'jatra_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_trending_news',
    array(
        'label' => esc_html__('Enable Trending News', 'jatra'),
        'section' => 'header_news_section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'ed_header_trending_posts_title',
    array(
    'default'           => $jatra_default['ed_header_trending_posts_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ed_header_trending_posts_title',
    array(
    'label'       => esc_html__( 'Trending News Title', 'jatra' ),
    'section'     => 'header_news_section',
    'type'        => 'text',
    )
);


$wp_customize->add_setting( 'jatra_header_trending_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'jatra_sanitize_select',
    )
);
$wp_customize->add_control( 'jatra_header_trending_cat',
    array(
    'label'       => esc_html__( 'Trending News Posts Category', 'jatra' ),
    'section'     => 'header_news_section',
    'type'        => 'select',
    'choices'     => $jatra_post_category_list,
    )
);