<?php
/**
 * Pagination Settings
 *
 * @package Jatra
 */

$jatra_default = jatra_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'jatra_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'jatra' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'jatra_pagination_layout',
	array(
	'default'           => $jatra_default['jatra_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'jatra_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'jatra' ),
	'section'     => 'jatra_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','jatra'),
		'numeric' => esc_html__('Numeric Method','jatra'),
		'load-more' => esc_html__('Ajax Load More Button','jatra'),
		'auto-load' => esc_html__('Ajax Auto Load','jatra'),
	),
	)
);