<?php
/**
* Sections Repeater Options.
*
* @package Jatra
*/

$jatra_post_category_list = jatra_post_category_list();
$jatra_defaults = jatra_get_default_theme_options();
$home_sections = array(
        
        'main-banner' => esc_html__('Main Banner Slider','jatra'),
        'banner-video-block' => esc_html__('Video Block','jatra'),
        'banner-blocks-1' => esc_html__('Slider & Tab Block','jatra'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','jatra'),
        'tiles-blocks' => esc_html__('Tiles Block','jatra'),
        'advertise-blocks' => esc_html__('Advertise Block','jatra'),
        'home-widget-area' => esc_html__('Widgets Area Block','jatra'),
        'you-may-like-blocks' => esc_html__('You May Like Block','jatra'),

    );

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Sections', 'jatra' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_jatra_home_sections_1', array(
    'sanitize_callback' => 'jatra_sanitize_repeater',
    'default' => json_encode( $jatra_defaults['twp_jatra_home_sections_1'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new Jatra_Repeater_Controler( $wp_customize, 'twp_jatra_home_sections_1', 
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_jatra_home_sections_1',
        'jatra_box_label' => esc_html__('New Section','jatra'),
        'jatra_box_add_control' => esc_html__('Add New Section','jatra'),
        'jatra_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'jatra' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'jatra' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_video_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-video-block-fields'
            ),
            'section_video_post_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Select Post Category', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-video-block-fields'
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'jatra' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
            'section_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs'
            ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
             'tiles_post_per_page' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'jatra' ),
                'options'     => array( 
                    '5' => 5,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
              'home_section_column_2' => array(
                   'type'        => 'seperator',
                   'seperator_text'       => esc_html__( 'Slider Section', 'jatra' ),
                   'class'       => 'home-repeater-fields-hs main-banner-fields'
               ),
             'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Area Title', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'section_post_slide_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'home_section_column_1' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Grid Style', 'jatra' ),
                 'class'       => 'home-repeater-fields-hs main-banner-fields'
             ),
             'section_post_cat_1' => array(
                 'type'        => 'select',
                 'label'       => esc_html__( 'Select Category', 'jatra' ),
                 'options'     => $jatra_post_category_list,
                 'class'       => 'home-repeater-fields-hs main-banner-fields'
             ),

            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'jatra' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'jatra' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'jatra' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'home_section_column_3' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Tab Style', 'jatra' ),
                 'class'       => 'home-repeater-fields-hs main-banner-fields'
             ),
            'home_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Tab Area Title', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'jatra' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'jatra' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'jatra' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'cat_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Three', 'jatra' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'jatra' ),
                'options'     => $jatra_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'jatra' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'background_color' => array(
                'type'        => 'colorpicker',
                'label'       => esc_html__( 'Background Color', 'jatra' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields banner-blocks-1-fields latest-posts-blocks-fields tiles-blocks-fields advertise-blocks-fields you-may-like-blocks-fields banner-video-block-fields'
            ),
            'section_text_color' => array(
                'type'        => 'colorpicker',
                'label'       => esc_html__( 'Text Color', 'jatra' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields banner-blocks-1-fields latest-posts-blocks-fields tiles-blocks-fields advertise-blocks-fields you-may-like-blocks-fields banner-video-block-fields'
            ),
            'background_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Background Image', 'jatra' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields banner-blocks-1-fields tiles-blocks-fields you-may-like-blocks-fields'
            ),
            'bg_image_size' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Background Image Size', 'jatra' ),
                'options'     => array( 
                    'auto' => esc_html('Original','jatra'),
                    'contain' => esc_html('Fit to Screen','jatra'),
                    'cover' => esc_html('Fill Screen','jatra'),
                ),
                'class'       => 'home-repeater-fields-hs main-banner-fields banner-blocks-1-fields tiles-blocks-fields you-may-like-blocks-fields'
            ),
            'background_image_repeat' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Repeat Background Image', 'jatra' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields banner-blocks-1-fields tiles-blocks-fields'
            ),
            'background_image_scroll' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Scroll with Page', 'jatra' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields banner-blocks-1-fields tiles-blocks-fields you-may-like-blocks-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'jatra_notiece_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Jatra_Info_Notiece_Control( 
        $wp_customize,
        'jatra_notiece_info',
        array(
            'settings' => 'jatra_notiece_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'jatra' ),
        )
    )
);

$wp_customize->add_setting(
    'jatra_premium_notiece',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Jatra_Premium_Notiece_Control( 
        $wp_customize,
        'jatra_premium_notiece',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'jatra' ),
            'settings' => 'jatra_premium_notiece',
            'section'       => 'home_sections_repeater',
        )
    )
);