<?php
/**
 * Header Layout 2
 *
 * @package Jatra
 */
$jatra_default = jatra_get_default_theme_options();
$jatra_header_bg_size = get_theme_mod( 'jatra_header_bg_size', $jatra_default['jatra_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $jatra_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $jatra_default['ed_header_bg_overlay'] );
$jatra_header_bg_size = get_theme_mod('jatra_header_bg_size', $jatra_default['jatra_header_bg_size']);
$ed_header_bg_fixed = get_theme_mod('ed_header_bg_fixed', $jatra_default['ed_header_bg_fixed']);
$ed_header_bg_overlay = get_theme_mod('ed_header_bg_overlay', $jatra_default['ed_header_bg_overlay']); ?>

<header id="site-header" class="theme-header <?php if ($ed_header_bg_overlay) { echo 'header-overlay-enabled'; } ?>" role="banner">

    <div class="header-mainbar <?php if (get_header_image()) {
                                    if ($ed_header_bg_fixed) {
                                        echo 'data-bg-fixed';
                                    } ?> data-bg header-bg-<?php echo esc_attr($jatra_header_bg_size); ?> <?php } ?> " <?php if (get_header_image()) { ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <div class="header-titles">
                    <?php
                    jatra_site_logo();
                    jatra_site_description();
                    ?>
                    <!-- date/time -->
                    <div class="header-item header-item-left">
                        <?php
                        $jatra_default = jatra_get_default_theme_options();
                        $ed_ticker_bar_date = get_theme_mod('ed_ticker_bar_date', $jatra_default['ed_ticker_bar_date']);
                        $ticker_date_format = get_theme_mod('ticker_date_format', $jatra_default['ticker_date_format']);

                        if ($ed_ticker_bar_date) {
                        ?>
                            <div class="theme-topbar-item theme-topbar-date">
                                <span class="theme-topbar-icon"><?php jatra_theme_svg('calendar-full'); ?></span>
                                <span class="theme-topbar-label"><?php echo esc_html(date(esc_attr($ticker_date_format))); ?></span>
                            </div>
                        <?php } ?>

                        <div class="theme-topbar-item theme-topbar-clock">
                            <span class="theme-topbar-icon"><?php jatra_theme_svg('clock'); ?></span>
                            <span class="theme-topbar-label">
                                <div id="twp-time-clock"></div>
                            </span>
                        </div>
                    </div>
                    <!-- end date/time -->
                </div>
            </div>
            <?php if ( is_active_sidebar( 'top-sidebar-1' ) ) { ?>
                <div class='header-item header-item-right'>
                    <?php dynamic_sidebar( 'top-sidebar-1' ); ?>
                </div>
            <?php }?>
        </div>
    </div>
    <div id="twp-header-navbar" class="header-navbar">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">

                <div class="header-navigation-wrapper">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'jatra'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if (has_nav_menu('jatra-primary-menu')) {

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'jatra-primary-menu',
                                            'walker' => new jatra\Jatra_Walkernav(),
                                            'depth' => 3,
                                        )
                                    );
                                } else {

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new Jatra_Walker_Page(),
                                            'depth' => 3,
                                        )
                                    );
                                } ?>
                            </ul>
                        </nav>
                    </div>
                </div>

            </div>

            <div class="header-item header-item-right">
                <?php main_navigation_extras(); ?>
            </div>
        </div>
        <div class="progress-bar"></div>
        <?php jatra_content_trending_news_render(); ?>
    </div>

    <?php jatra_extra_area_render(); ?>
</header>